Bug 1382065 - SAMBA-ClientIO-Thread : Samba crashes with segfault while doing multiple mount & unmount of volume share with 3.2 builds
Summary: SAMBA-ClientIO-Thread : Samba crashes with segfault while doing multiple moun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: io-threads
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Pranith Kumar K
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On: 1380619
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-10-05 16:02 UTC by Vivek Das
Modified: 2017-03-23 06:08 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 06:08:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Vivek Das 2016-10-05 16:02:02 UTC
Description of problem:
Samba crashes with segfault while doing multiple mount and unmount of volume share in windows client with 3.2 builds.

Version-Release number of selected component (if applicable):
glusterfs-cli-3.8.4-2.el7rhgs.x86_64
samba-client-4.4.6-1.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Create samba setup on a 4 node cluster
2.Create 2 different volume of 2X2
3.Freshly mount Volume-A in windows client
4.On a continuous loop of around 25 do a mount and unmount of Volume-B with a wait time of 20 seconds after every loop.
5.Meanwhile keep checking for core logs

Actual results:
Samba crashes with segfault producing core logs (2)

Expected results:
Should not crash

Additional info:
Tried the above procedure with client-io thread off for the volume no crash was seen.

Comment 3 Atin Mukherjee 2016-10-24 04:02:09 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/87972

Comment 7 Vivek Das 2016-11-05 14:41:16 UTC
Updated the systems to the below versions and followed the Steps to Reproduce, no crash was seen hence marking it as verified.
samba-client-4.4.6-2.el7rhgs.x86_64
glusterfs-cli-3.8.4-3.el7rhgs.x86_64

Comment 9 errata-xmlrpc 2017-03-23 06:08:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.